

function getMaybeKeysInListOfObjects(listOfObjects) {
  const keyCount = {};
  const maybeKeys = [];

  listOfObjects.forEach(obj => {
    Object.keys(obj).forEach(key => {
      if (obj[key] === 'null') {
        maybeKeys.push(key);
      }

      if (keyCount.hasOwnProperty(key) === true) {
        keyCount[key] += 1;
      } else {
        keyCount[key] = 1;
      }
    });
  });

  return Object.keys(keyCount).reduce((keysNotPresentInEveryObject, key) => {
    if (keyCount[key] < listOfObjects.length) {
      keysNotPresentInEveryObject.push(key);
    }

    return keysNotPresentInEveryObject;
  }, maybeKeys);
}


module.exports = getMaybeKeysInListOfObjects;