
const printTypedObj = require('./utils/printTypedObj');

const generateTypeFromValue = require('./utils/generateTypeFromValue');

const DEFAULT_CONFIG = {
  name: 'Type',
  readOnly: true
};

function generateFlowTypesFromJson(rawJson, config = DEFAULT_CONFIG) {
  const opts = Object.assign({}, DEFAULT_CONFIG, config);
  const json = JSON.parse(JSON.stringify(rawJson));
  const typedObj = generateTypeFromValue(json);
  return printTypedObj(typedObj, opts);
}

module.exports = generateFlowTypesFromJson;